summaryrefslogtreecommitdiffstats
path: root/taskcluster/scripts/misc/vs-cleanup.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 17:32:43 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 17:32:43 +0000
commit6bf0a5cb5034a7e684dcc3500e841785237ce2dd (patch)
treea68f146d7fa01f0134297619fbe7e33db084e0aa /taskcluster/scripts/misc/vs-cleanup.sh
parentInitial commit. (diff)
downloadthunderbird-upstream.tar.xz
thunderbird-upstream.zip
Adding upstream version 1:115.7.0.upstream/1%115.7.0upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'taskcluster/scripts/misc/vs-cleanup.sh')
-rw-r--r--taskcluster/scripts/misc/vs-cleanup.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/taskcluster/scripts/misc/vs-cleanup.sh b/taskcluster/scripts/misc/vs-cleanup.sh
new file mode 100644
index 0000000000..8bb93b266f
--- /dev/null
+++ b/taskcluster/scripts/misc/vs-cleanup.sh
@@ -0,0 +1,13 @@
+case "$(uname -s)" in
+MINGW*|MSYS*)
+ # For some reason, by the time the task finishes, and when run-task
+ # starts its cleanup, there is still a vctip.exe (MSVC telemetry-related
+ # process) running and using a dll that run-task can't then delete.
+ # "For some reason", because the same doesn't happen with other tasks.
+ # In fact, this used to happen with older versions of MSVC for other
+ # tasks, and stopped when upgrading to 15.8.4...
+ taskkill -f -im vctip.exe || true
+ # Same with the mspdbsrv process.
+ taskkill -f -im mspdbsrv.exe || true
+ ;;
+esac